読者です 読者をやめる 読者になる 読者になる

愛と勇気と缶ビール

ふしぎとぼくらはなにをしたらよいか

node.jsのインストールはpython3がデフォになってるとアビャビャー、ってなるという話

node.js

node.jsのインストールは、.configureからmakeまで全部がtools/wafなんとかに依存していて、tools/wafなんとかの下のpythonスクリプトは全部python2系(僕が確認したのは2.7のみ)じゃないと動かない。

configureとかをいじって何とかごまかすのもいいけど、python処理系のキリカエを意識して書かれていなくてめんどくさいのでデフォルトのpythonが3系になっちゃってる人はおとなしく cd /usr/bin; rm python; ln -s python2.7 python とかしちゃった方が楽。あとは、pythonbrewとか?

つか、何でそこまで後方互換性なくすかね。